Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PassportElementErrorSourceFrontSide

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportElementErrorSource
it.tdlight.jni.TdApi.PassportElementErrorSourceFrontSide

Enclosing class:
  TdApi

public static final class TdApi.PassportElementErrorSourceFrontSide extends TdApi.PassportElementErrorSource
The front side of the document contains an error. The error will be considered resolved when the file with the front side changes.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`

## Constructor Summary

Constructors
Constructor
Description
`PassportElementErrorSourceFrontSide()`
The front side of the document contains an error.
`PassportElementErrorSourceFrontSide(DataInput input)`
The front side of the document contains an error.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PassportElementErrorSourceFrontSide

public PassportElementErrorSourceFrontSide()
The front side of the document contains an error. The error will be considered resolved when the file with the front side changes.

### PassportElementErrorSourceFrontSide

public PassportElementErrorSourceFrontSide(DataInput input) throws IOException
The front side of the document contains an error. The error will be considered resolved when the file with the front side changes.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`